> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get teammates

> Get all teammates of the authenticated accountant



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/accountant/teammates
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/accountant/teammates:
    get:
      tags:
        - Accountant
      summary: Get teammates
      description: Get all teammates of the authenticated accountant
      operationId: getAccountantTeammates
      parameters:
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records modified after the specified date
          schema:
            type: string
          example: '1970-01-01'
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSETeammateDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSETeammateDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/TeammateDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    TeammateDTOV5:
      type: object
      properties:
        users:
          type: array
          description: Users this accountant has access to
          items:
            $ref: '#/components/schemas/TeammateUserDTOV5'
        id:
          type: integer
          description: >-
            Id of the accountant. Either id or userId is required to update a
            teammate
          format: int64
        userId:
          type: string
          description: >-
            Id of the accountant in your DB. Either userId or id is required to
            update a teammate
        email:
          type: string
          description: Email address for the accountant
          example: jane@mycompany.com
        firstName:
          type: string
          description: First name for the accountant
          example: Jane
        lastName:
          type: string
          description: Last name for the accountant
          example: Doe
        status:
          type: string
          description: Status of this accountant
          enum:
            - ACTIVE
            - INACTIVE
        canReopenBooks:
          type: boolean
          description: Whether this accountant can reopen books
        canManageAdmins:
          type: boolean
          description: Whether this accountant can manage other accountants
        canManageUsers:
          type: boolean
          description: Whether this accountant can manage users
        canAccessAllUsers:
          type: boolean
          description: Whether this accountant has access to all users
        password:
          type: string
          description: >-
            Password for the accountant. Write-only; never returned in
            responses.
          example: password123
    TeammateUserDTOV5:
      type: object
      properties:
        id:
          type: integer
          description: Id of the user
          format: int64
        userId:
          type: string
          description: Id of the user in your DB
        status:
          type: string
          description: >-
            Status of the relationship between the accountant teammate and this
            user
          enum:
            - ACTIVE
            - INACTIVE
        accessLevel:
          type: string
          description: >-
            Level of access for the relationship between the accountant teammate
            and this user
          enum:
            - READ_WRITE
            - READ_ONLY
      description: Users this accountant has access to
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````